Skip to content
Start here

Create Zero Trust list

client.zeroTrust.gateway.lists.create(ListCreateParams { account_id, name, type, 2 more } params, RequestOptionsoptions?): ListCreateResponse { id, created_at, description, 4 more }
POST/accounts/{account_id}/gateway/lists

Creates a new Zero Trust list.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: ListCreateParams { account_id, name, type, 2 more }
account_id: string

Path param

name: string

Body param: Specify the list name.

type: "SERIAL" | "URL" | "DOMAIN" | 6 more

Body param: Specify the list type.

One of the following:
"SERIAL"
"URL"
"DOMAIN"
"EMAIL"
"IP"
"CATEGORY"
"LOCATION"
"DEVICE"
"AAGUID"
description?: string

Body param: Provide the list description.

items?: Array<Item>

Body param: Add items to the list.

description?: string

Provide the list item description (optional).

minimum0
value?: string

Specify the item value.

ReturnsExpand Collapse
ListCreateResponse { id, created_at, description, 4 more }
id?: string

Identify the API resource with a UUID.

maxLength36
created_at?: string
formatdate-time
description?: string

Provide the list description.

items?: Array<GatewayItem { created_at, description, value } >

Provide the list items.

created_at?: string
formatdate-time
description?: string

Provide the list item description (optional).

minimum0
value?: string

Specify the item value.

name?: string

Specify the list name.

type?: "SERIAL" | "URL" | "DOMAIN" | 6 more

Specify the list type.

One of the following:
"SERIAL"
"URL"
"DOMAIN"
"EMAIL"
"IP"
"CATEGORY"
"LOCATION"
"DEVICE"
"AAGUID"
updated_at?: string
formatdate-time

Create Zero Trust list

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const list = await client.zeroTrust.gateway.lists.create({
  account_id: '699d98642c564d2e855e9661899b7252',
  name: 'Admin Serial Numbers',
  type: 'SERIAL',
});

console.log(list.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "The serial numbers for administrators",
    "items": [
      {
        "created_at": "2014-01-01T05:20:00.12345Z",
        "description": "Austin office IP",
        "value": "8GE8721REF"
      }
    ],
    "name": "Admin Serial Numbers",
    "type": "SERIAL",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "The serial numbers for administrators",
    "items": [
      {
        "created_at": "2014-01-01T05:20:00.12345Z",
        "description": "Austin office IP",
        "value": "8GE8721REF"
      }
    ],
    "name": "Admin Serial Numbers",
    "type": "SERIAL",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}